IntegrationsShopify
Get one draft order with the first 50 line items and addresses.
Get one draft order with the first 50 line items and addresses.
Authorization
bearerApiKey AuthorizationBearer <token>
Create a scoped API key in the Adlass settings.
In: header
Path Parameters
connection_id*string
Resource identifier: connection_id.
Format
uuidHeader Parameters
X-Request-Id?string
Optional correlation identifier.
Length
length <= 128Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/integrations/connections/123e4567-e89b-42d3-a456-426614174000/providers/shopify/draft-orders/get" \ -H "Content-Type: application/json" \ -d '{ "draft_order_id": "example" }'{ "id": "example", "name": "Customer documents", "status": "ACTIVE", "created_at": "example", "updated_at": "example", "completed_at": "example", "invoice_sent_at": "example", "currency_code": "example", "subtotal": { "amount": "example", "currency_code": "example" }, "total_price": { "amount": "example", "currency_code": "example" }, "total_tax": { "amount": "example", "currency_code": "example" }, "customer": { "id": "example", "display_name": "example", "email": "ada@example.com" }, "email": "ada@example.com", "tags": [], "order_id": "example", "note": "example", "line_items": [], "line_items_truncated": false, "shipping_address": { "name": "Customer documents", "company": "example", "address1": "example", "address2": "example", "city": "example", "province_code": "example", "country_code": "example", "zip": "example", "phone": "example" }, "billing_address": { "name": "Customer documents", "company": "example", "address1": "example", "address2": "example", "city": "example", "province_code": "example", "country_code": "example", "zip": "example", "phone": "example" }, "shipping_line": { "title": "Approve supplier payment", "price": { "amount": "example", "currency_code": "example" } }, "discount_codes": []}